Changeset 12a5707


Ignore:
Timestamp:
03/10/2006 01:44:55 AM (18 years ago)
Author:
George Boudreau <georgeb@…>
Branches:
experimental
Children:
4845f38
Parents:
6db1464
Message:

Adjusting scripts to new structure. Added jhalfs trunk changes. Will now create a lfs makefile.

Files:
10 edited

Legend:

Unmodified
Added
Removed
  • BLFS/config

    r6db1464 r12a5707  
    66#
    77#####
     8declare -r FTP=ftp://ftp.linuxfromscratch.org/pub/blfs/conglomeration
    89
    910#--- Book's sources directory
     
    2829
    2930#--- Default stylesheet
    30    XSL=dump-blfs-scripts.xsl
     31   XSL=blfs.xsl
    3132MKFILE=$JHALFSDIR/blfs-Makefile
    3233
  • CLFS/config

    r6db1464 r12a5707  
    33# Configuration file for the CLFS module
    44#
     5# $Id$
     6#
    57#####
    6 
    7 declare -r HTTP=http://ftp.lfs-matrix.net/pub/clfs/conglomeration
     8declare -r FTP=ftp://ftp.linuxfromscratch.org/pub/lfs/conglomeration
    89
    910#--- Which target architecture,
     
    1314TARGET=
    1415# >>>> 32-32 BUILD <<<<
    15 # ARCH=x86 ;     TARGET="i486-pc-linux-gnu"
     16 ARCH=x86 ;     TARGET="i486-pc-linux-gnu"
    1617# ARCH=x86 ;     TARGET="i586-pc-linux-gnu"
    1718# ARCH=x86 ;     TARGET="i686-pc-linux-gnu"
     
    2324#--------------------------------
    2425# >>>> 64-64 BUILD <<<<
    25  ARCH=x86_64-64  ; TARGET="x86_64-unknown-linux-gnu"   
     26# ARCH=x86_64-64  ; TARGET="x86_64-unknown-linux-gnu"   
    2627# ARCH=mips64-64  ; TARGET="mipsel-unknown-linux-gnu"
    2728# ARCH=mips64-64  ; TARGET="mis-unknown-linux-gnu"
     
    4041
    4142#--- Location of fstab file (if empty, a template is created)
    42 FSTAB=$BUILDDIR/sources/fstab
     43FSTAB=
    4344
    4445#--- Location of kernel config file (if the kernel is to be compiled)
    4546#--- This file MUST reside in the sources directory
    46 CONFIG=$BUILDDIR/sources/linux-2.6.15.1-x86_64.config
     47CONFIG=
    4748
    4849#--- Book's sources directory
     
    5758
    5859#--- Default stylesheet
    59 XSL=dump-clfs-scripts.xsl
     60XSL=clfs.xsl
    6061
    6162#--- Book version
  • HLFS/config

    r6db1464 r12a5707  
    33# Configuration file for the HLFS module
    44#
     5# $Id$
     6#
    57#####
    6 declare -r HTTP=http://ftp.lfs-matrix.net/pub/hlfs/conglomeration
     8declare -r FTP=ftp://ftp.linuxfromscratch.org/pub/lfs/conglomeration
    79
    810#--- Which library model to use uclibc/glibc
     
    1315
    1416#--- Location of fstab file (if empty, a template is created)
    15 FSTAB=$BUILDDIR/sources/fstab
     17FSTAB=
    1618
    1719#--- Location of kernel config file (if the kernel is to be compiled)
    18 CONFIG=$BUILDDIR/sources/linux-2.6.14.6-HLFS.config
     20CONFIG=
    1921
    2022#--- Book's sources directory
     
    2628
    2729#--- Files that will be copied to $JHAHLFSDIR
    28 FILES="dump-hlfs-scripts.xsl hlfs-patcheslist_.xsl"
     30FILES="hlfs-patcheslist_.xsl"
    2931
    3032#--- Default stylesheet
    31 XSL=dump-hlfs-scripts.xsl
     33XSL=hlfs.xsl
    3234
    3335#--- Book version
  • LFS/config

    r6db1464 r12a5707  
    66#
    77#####
    8 declare -r HTTP=http://ftp.lfs-matrix.net/pub/lfs/conglomeration
     8declare -r FTP=ftp://ftp.linuxfromscratch.org/pub/lfs/conglomeration
    99
    1010#--- Location of fstab file (if empty, a template is created)
    11 FSTAB=$BUILDDIR/sources/fstab
     11FSTAB=
    1212
    1313#--- Location of kernel config file (if the kernel is to be compiled)
    14 CONFIG=$PWD/config_files/linux-2.6.15.1-LFS.config
     14CONFIG=
    1515
    1616#--- Book's sources directory
     
    2525
    2626#--- Default stylesheet
    27 XSL=dump-lfs-scripts.xsl
     27XSL=lfs.xsl
    2828
    2929#--- Book version
  • LFS/master.sh

    r6db1464 r12a5707  
    1212chapter4_Makefiles() {
    1313#----------------------------#
     14  echo -e "\n${tab_}${GREEN}Processing... ${L_arrow}Chapter4${R_arrow}"
    1415
    1516# If /home/lfs is already present in the host, we asume that the
     
    6263chapter5_Makefiles() {
    6364#----------------------------#
     65  echo "${tab_}${GREEN}Processing... ${L_arrow}Chapter5${R_arrow}"
     66
    6467  for file in chapter05/* ; do
    6568    # Keep the script file name
     
    6770
    6871    # If no testsuites will be run, then TCL, Expect and DejaGNU aren't needed
    69     if [ "$TOOLCHAINTEST" = "0" ]; then
     72    if [ "$TEST" = "0" ]; then
    7073      if [[ `_IS_ ${this_script} tcl` ]] || [[ `_IS_ ${this_script} expect` ]] || [[ `_IS_ ${this_script} dejagnu` ]] ; then
    7174        continue
     
    7679    if [ "$STRIP" = "0" ] && [[ `_IS_ ${this_script} stripping` ]] ; then
    7780      continue
    78     fi
    79 
    80 # NOTE Replace with xsl work...
    81     if [[ `_IS_ $this_script adjusting` ]]; then
    82       sed '/cd $PKGDIR/d' -i chapter05/$this_script
    8381    fi
    8482
     
    138136chapter6_Makefiles() {
    139137#----------------------------#
     138  echo "${tab_}${GREEN}Processing... ${L_arrow}Chapter6${R_arrow}"
    140139  for file in chapter06/* ; do
    141140    # Keep the script file name
     
    151150    if [ "$STRIP" = "0" ] && [[ `_IS_ ${this_script} stripping` ]] ; then
    152151      continue
    153     fi
    154 
    155 # NOTE Replace with xsl work...
    156     if [[ `_IS_ $this_script adjusting` ]]; then
    157       sed '/cd $PKGDIR/d' -i chapter06/$this_script
    158152    fi
    159153
     
    211205chapter789_Makefiles() {
    212206#----------------------------#
     207  echo "${tab_}${GREEN}Processing... ${L_arrow}Chapter6/7/8${R_arrow}"
    213208  for file in chapter0{7,8,9}/* ; do
    214209    # Keep the script file name
  • common/common-functions

    r6db1464 r12a5707  
    638638                  --stringparam model $MODEL \
    639639                  --stringparam testsuite $TEST \
    640                   --stringparam toolchaintest $TOOLCHAINTEST \
    641640                  --stringparam vim-lang $VIMLANG \
    642641                  -o ./${PROGNAME}-commands/ $XSL $BOOK/index.xml >>$LOGDIR/$LOG 2>&1
     
    647646                 --xinclude \
    648647                 --stringparam testsuite $TEST \
    649                  --stringparam toolchaintest $TOOLCHAINTEST \
    650648                 --stringparam vim-lang $VIMLANG \
    651649                 -o ./${PROGNAME}-commands/ $XSL $BOOK/index.xml >>$LOGDIR/$LOG 2>&1
     
    701699  cd $BUILDDIR/sources
    702700
    703   # Hackish fix for the bash-doc, glibc-{linuxthreads,libidn} and
    704   # module-init-tools-testsuite packages that don't conform to
    705   # norms in the URL scheme.
     701  # Hackish fix for the bash-doc, glibc-{linuxthreads,libidn}
     702  # that don't conform to norms in the URL scheme.
    706703  DIR=`echo $1 | sed 's@-doc@@;s@-linuxthreads@@;s@-libidn@@;s@-testsuite@@'`
    707704
     
    721718  if [ ! -f $2 ] ; then
    722719    case $DL in
    723       wget )  wget $HTTP/$DIR/$2            ;;
    724       curl )  `curl -# $HTTP/$DIR/$2 -o $2`     ;;
     720      wget )  wget --passive $FTP/$DIR/$2            ;;
     721      curl )  `curl -# $FTP/$DIR/$2 -o $2`     ;;
    725722      * )     echo "$DL not supported at this time."  ;;
    726723    esac
    727724  elif ! echo "$MD5" | md5sum -c - >/dev/null 2>/dev/null ; then
    728725    case $DL in
    729       wget )  wget -c $HTTP/$DIR/$2         ;;
    730       curl )  `curl -# -C - $HTTP/$DIR/$2 -o $2`    ;;
     726      wget )  wget --passive -c $FTP/$DIR/$2         ;;
     727      curl )  `curl -# -C - $FTP/$DIR/$2 -o $2`    ;;
    731728      * )     echo "$DL not supported at this time."  ;;
    732729    esac
     
    767764
    768765      # There are some entities that aren't valid packages.
    769       if [ "$PKG" = "expect-lib" -o "$PKG" = "linux-dl" -o "$PKG" = "groff-patchlevel" ] ; then continue ; fi
     766      if [ "$PKG" = "expect-lib" -o "$PKG" = "linux-dl" ] ; then continue ; fi
    770767
    771768      VRS=`echo $i | sed -e 's/.* //' -e 's/"//g'`
  • common/config

    r6db1464 r12a5707  
    11#####
    22#
    3 # Masterscript configuration file
     3# common configuration file
    44#
     5# $Id$
    56#####
    67
     
    1718RUNMAKE=0
    1819
    19 #--- Run test suites  0(no)/1(yes)
     20#--- Run test suites  [0-3]
     21#  0 = none
     22#  1 = only chapter06 Glibc, GCC and Binutils testsuites
     23#  2 = all chapter06 testsuites
     24#  3 = all chapter05 and chapter06 testsuites
    2025TEST=1
    21 
    22 #--- Run the toolchain tests  0(no)/1(yes)
    23 TOOLCHAINTEST=1
    2426
    2527#--- Run the stripping phases  0(no)/1(yes)
     
    4244KEYMAP=/usr/share/kbd/keymaps/i386/qwerty/us.map.gz
    4345
     46#=== Variables needed by ICA ===
     47#--- Run ICA testing 0/1  0(no)/1(yes)
     48RUN_ICA=0
     49
     50#--- The number of final stage builds to create and compare
     51ITERATIONS=
     52
     53#--- ICA report log directory
     54ICALOGDIR=$JHALFSDIR/logs/ICA
     55
    4456#==== INTERNAL VARIABLES ====
    4557# Don't edit it unless you know what you are doing
  • common/func_check_version.sh

    r6db1464 r12a5707  
    2828  TXT=$3
    2929
    30   if  echo $ref_version | grep [[:alpha:]] 2>&1 >/dev/null ||
    31       echo $tst_version | grep [[:alpha:]] 2>&1 >/dev/null ;then
    32     echo "Cannot test for text, 0.0.0a, version types, assuming 'success' "
    33     return   
    34   fi
     30  # This saves us the save/restore hassle of the system IFS value
     31  local IFS
     32
     33#  if  echo $ref_version | grep [[:alpha:]] 2>&1 >/dev/null ||
     34#      echo $tst_version | grep [[:alpha:]] 2>&1 >/dev/null ;then
     35#    echo "Cannot test for text, 0.0.0a, version types, assuming 'success' "
     36#    return   
     37#  fi
    3538   
    3639  write_error_and_die() {
  • common/func_validate_configs.sh

    r6db1464 r12a5707  
    1818inline_doc
    1919
    20   local svn_tracking='$Id$'
    21   local -r  lfs_PARAM_LIST="BUILDDIR HPKG TEST TOOLCHAINTEST STRIP VIMLANG PAGE RUNMAKE"
     20  local -r  lfs_PARAM_LIST="BUILDDIR HPKG TEST STRIP VIMLANG PAGE RUNMAKE"
    2221  local -r blfs_PARAM_LIST="BUILDDIR TEST DEPEND"
    23   local -r hlfs_PARAM_LIST="BUILDDIR HPKG MODEL TEST TOOLCHAINTEST STRIP VIMLANG PAGE GRSECURITY_HOST RUNMAKE TIMEZONE"
     22  local -r hlfs_PARAM_LIST="BUILDDIR HPKG MODEL TEST STRIP VIMLANG PAGE GRSECURITY_HOST RUNMAKE TIMEZONE"
    2423  local -r clfs_PARAM_LIST="ARCH BOOTMINIMAL RUNMAKE MKFILE"
    25   local -r global_PARAM_LIST="BUILDDIR HPKG RUNMAKE TEST TOOLCHAINTEST STRIP PAGE TIMEZONE VIMLANG"
     24  local -r global_PARAM_LIST="BUILDDIR HPKG RUNMAKE TEST STRIP PAGE TIMEZONE VIMLANG"
    2625
    2726  local -r ERROR_MSG='The variable \"${L_arrow}${config_param}${R_arrow}\" value ${L_arrow}${BOLD}${!config_param}${R_arrow} is invalid, ${nl_}check the config file ${BOLD}${GREEN}\<$PROGNAME.conf\>${OFF}'
     
    5554        HPKG)      validation_str="x0x x1x"  ;;
    5655        RUNMAKE)   validation_str="x0x x1x"  ;;
    57         TEST)      validation_str="x0x x1x"  ;;
     56        TEST)      validation_str="x0x x1x x2x x3x"  ;;
    5857        STRIP)     validation_str="x0x x1x"  ;;
    5958        VIMLANG)   validation_str="x0x x1x"  ;;
     
    6261        PAGE)      validation_str="xletterx xA4x"  ;;
    6362        ARCH)      validation_str="xx86x xx86_64x xx86_64-64x xsparcx xsparcv8x xsparc64x xsparc64-64x xmipsx xmips64x xmips64-64x xppcx xalphax" ;;
    64         TOOLCHAINTEST)    validation_str="x0x x1x"  ;;
    6563        GRSECURITY_HOST)  validation_str="x0x x1x"  ;;
    6664        BOOTMINIMAL)      validation_str="x0x x1x";;
  • master.sh

    r6db1464 r12a5707  
    11#!/bin/bash
     2# $Id$
    23set -e
    34
     
    3435
    3536
    36      PROGNAME=$(basename $0)
    37       VERSION="0.0.1"
    38        MODULE=$PROGNAME.module
    39 MODULE_CONFIG=$PROGNAME.conf
    40 
    41 echo -n "Loading common-func.module..."
    42 source common-func.module
    43 [[ $? > 0 ]] && echo "common-func.module did not load.." && exit
    44 echo "OK"
    45 #
    46 
    4737if [ ! -L $0 ] ; then
    4838  echo "${nl_}${tab_}${BOLD}${RED}This script cannot be called directly: EXITING ${OFF}${nl_}"
     
    5040fi
    5141
    52 echo -n "Loading masterscript.conf..."
    53 source masterscript.conf
    54 [[ $? > 0 ]] && echo "masterscript.conf did not load.." && exit
     42     PROGNAME=$(basename $0)
     43      VERSION="0.0.1"
     44   COMMON_DIR="common"
     45   PACKAGE_DIR=$(echo $PROGNAME | tr [a-z] [A-Z])
     46       MODULE=$PACKAGE_DIR/master.sh
     47MODULE_CONFIG=$PACKAGE_DIR/config
     48
     49echo -n "Loading common-functions module..."
     50source $COMMON_DIR/common-functions
     51[[ $? > 0 ]] && echo " $COMMON_DIR/common-functions did not load.." && exit
     52echo "OK"
     53#
     54
     55echo -n "Loading masterscript conf..."
     56source $COMMON_DIR/config
     57[[ $? > 0 ]] && echo "$COMMON_DIR/conf did not load.." && exit
    5558echo "OK"
    5659#
     
    6265echo -n "Loading code module <$MODULE>..."
    6366source $MODULE
    64 if [[ $? > 0 ]]; then
    65  echo "$MODULE did not load.."
    66  exit 2
    67 fi
     67[[ $? > 0 ]] && echo "$MODULE did not load.." && exit 2
    6868echo "OK"
    6969#
     
    8080
    8181#*******************************************************************#
    82 
    83 
    84 #----------------------------#
    85 check_requirements() {       # Simple routine to validate gcc and kernel versions against requirements
    86 #----------------------------#
    87   # Minimum values acceptable
    88   #   bash  3.0>
    89   #    gcc  3.0>
    90   # kernel  2.6.2>
    91 
    92   [[ $1 = "1" ]] && echo "${nl_}BASH: ${L_arrow}${BOLD}${BASH_VERSION}${R_arrow}"
    93   case $BASH_VERSION in
    94     [3-9].*) ;;
    95     *) 'clear'
    96         echo -e "
    97 $DD_BORDER
    98 \t\t${OFF}${RED}BASH version ${BOLD}${YELLOW}-->${WHITE} $BASH_VERSION ${YELLOW}<--${OFF}${RED} is too old.
    99 \t\t    This script requires 3.0${OFF}${RED} or greater
    100 $DD_BORDER"
    101         exit 1
    102       ;;
    103   esac
    104 
    105   [[ $1 = "1" ]] && echo "GCC: ${L_arrow}${BOLD}`gcc -dumpversion`${R_arrow}"
    106     case `gcc -dumpversion` in
    107       [3-9].[0-9].* ) ;;
    108       *)  'clear'
    109            echo -e "
    110 $DD_BORDER
    111 \t\t${OFF}${RED}GCC version ${BOLD}${YELLOW}-->${WHITE} $(gcc -dumpversion) ${YELLOW}<--${OFF}${RED} is too old.
    112 \t\t This script requires ${BOLD}${WHITE}3.0${OFF}${RED} or greater
    113 $DD_BORDER"
    114            exit 1
    115       ;;
    116     esac
    117 
    118   #
    119   # >>>> Check kernel version against the minimum acceptable level <<<<
    120   #
    121   [[ $1 = "1" ]] && echo "LINUX: ${L_arrow}${BOLD}`uname -r`${R_arrow}"
    122 
    123   local IFS
    124   declare -i major minor revision change
    125   min_kernel_vers=2.6.2
    126 
    127   IFS=".-"   # Split up w.x.y.z as well as w.x.y-rc  (catch release candidates)
    128   set -- $min_kernel_vers # set postional parameters to minimum ver values
    129   major=$1; minor=$2; revision=$3
    130   #
    131   set -- `uname -r` # Set postional parameters to user kernel version
    132   #Compare against minimum acceptable kernel version..
    133   (( $1  > major )) && return
    134   (( $1 == major )) && (((  $2 >  minor )) ||
    135                        (((  $2 == minor )) && (( $3 >= revision )))) && return
    136 
    137   # oops.. write error msg and die
    138   echo -e "
    139 $DD_BORDER
    140 \t\t${OFF}${RED}The kernel version ${BOLD}${YELLOW}-->${WHITE} $(uname -r) ${YELLOW}<--${OFF}${RED} is too old.
    141 \t\tThis script requires version ${BOLD}${WHITE}$min_kernel_vers${OFF}${RED} or greater
    142 $DD_BORDER"
    143   exit 1
    144 }
    145 
    146 
    147 #----------------------------#
    148 validate_config()    {       # Are the config values sane (within reason)
    149 #----------------------------#
    150   local -r  lfs_PARAM_LIST="BUILDDIR HPKG TEST TOOLCHAINTEST STRIP VIMLANG PAGE RUNMAKE"
    151   local -r blfs_PARAM_LIST="BUILDDIR TEST DEPEND"
    152   local -r hlfs_PARAM_LIST="BUILDDIR HPKG MODEL TEST TOOLCHAINTEST STRIP VIMLANG PAGE GRSECURITY_HOST RUNMAKE TIMEZONE"
    153   local -r clfs_PARAM_LIST="ARCH BOOTMINIMAL RUNMAKE MKFILE"
    154   local -r global_PARAM_LIST="BUILDDIR HPKG RUNMAKE TEST TOOLCHAINTEST STRIP PAGE TIMEZONE VIMLANG"
    155  
    156   local    PARAM_LIST=
    157 
    158   local -r ERROR_MSG='The variable \"${L_arrow}${config_param}${R_arrow}\" value ${L_arrow}${BOLD}${!config_param}${R_arrow} is invalid, ${nl_}check the config file ${BOLD}${GREEN}\<$PROGNAME.conf\>${OFF}'
    159   local -r PARAM_VALS='${config_param}: ${L_arrow}${BOLD}${!config_param}${OFF}${R_arrow}'
    160   local config_param
    161   local validation_str
    162 
    163   write_error_and_die() {
    164     echo -e "\n${DD_BORDER}"
    165     echo -e "`eval echo ${ERROR_MSG}`" >&2
    166     echo -e "${DD_BORDER}\n"
    167     exit 1
    168   }
    169 
    170   set +e
    171   for PARAM_GROUP in global_PARAM_LIST ${PROGNAME}_PARAM_LIST; do
    172     for config_param in ${!PARAM_GROUP}; do
    173       # This is a tricky little piece of code.. executes a cmd string.
    174       [[ $1 = "1" ]] && echo -e "`eval echo $PARAM_VALS`"
    175       case $config_param in
    176         BUILDDIR) # We cannot have an <empty> or </> root mount point
    177             if [[ "xx x/x" =~ "x${!config_param}x" ]]; then
    178               write_error_and_die
    179             fi
    180             continue  ;;
    181         TIMEZONE)  continue;;
    182         MKFILE)    continue;;
    183         HPKG)      validation_str="x0x x1x"  ;;
    184         RUNMAKE)   validation_str="x0x x1x"  ;;
    185         TEST)      validation_str="x0x x1x"  ;;
    186         STRIP)     validation_str="x0x x1x"  ;;
    187         VIMLANG)   validation_str="x0x x1x"  ;;
    188         DEPEND)    validation_str="x0x x1x x2x" ;;
    189         MODEL)     validation_str="xglibcx xuclibcx" ;;
    190         PAGE)      validation_str="xletterx xA4x"  ;;
    191         ARCH)      validation_str="xx86x xx86_64x xx86_64-64x xsparcx xsparcv8x xsparc64x xsparc64-64x xmipsx xmips64x xmips64-64x xppcx xalphax" ;;
    192         TOOLCHAINTEST)    validation_str="x0x x1x"  ;;
    193         GRSECURITY_HOST)  validation_str="x0x x1x"  ;;
    194         BOOTMINIMAL)      validation_str="x0x x1x";;
    195         *)
    196           echo "WHAT PARAMETER IS THIS.. <<${config_param}>>"
    197           exit
    198         ;;
    199       esac
    200         #
    201         # This is the 'regexp' test available in bash-3.0..
    202         # using it as a poor man's test for substring
    203       if [[ ! "${validation_str}" =~ "x${!config_param}x" ]] ; then
    204         # parameter value entered is no good
    205         write_error_and_die
    206       fi
    207     done # for loop
    208 
    209       # Not further tests needed on globals
    210     if [[ "$PARAM_GROUP" = "global_PARAM_LIST" ]]; then
    211       echo "   ${BOLD}${GREEN}${PARAM_GROUP%%_*T} parameters are valid${OFF}"
    212       continue
    213     fi
    214    
    215     for config_param in LC_ALL LANG; do
    216       [[ $1 = "1" ]] && echo "`eval echo $PARAM_VALS`"
    217       [[ -z "${!config_param}" ]] && continue
    218       # See it the locale values exist on this machine
    219       [[ "`locale -a | grep -c ${!config_param}`" > 0 ]] && continue
    220  
    221       # If you make it this far then there is a problem
    222       write_error_and_die
    223     done
    224 
    225     for config_param in FSTAB CONFIG KEYMAP BOOK; do
    226       [[ $1 = "1" ]] && echo "`eval echo $PARAM_VALS`"
    227       if [[ $config_param = BOOK ]]; then
    228          [[ ! "${WC}" = 1 ]] && continue
    229       fi
    230       [[ -z "${!config_param}" ]] && continue
    231       [[ -e "${!config_param}" ]] && [[ -s "${!config_param}" ]] && continue
    232  
    233       # If you make it this far then there is a problem
    234       write_error_and_die
    235     done
    236       echo "   ${BOLD}${GREEN}${PARAM_GROUP%%_*T} parameters are valid${OFF}"
    237   done
    238   set -e
    239   echo "$tab_***${BOLD}${GREEN}Config parameters look good${OFF}***"
    240 }
    241 
     82echo -n "Loading function <func_check_version.sh>..."
     83source $COMMON_DIR/func_check_version.sh
     84[[ $? > 0 ]] && echo " function module did not load.." && exit 2
     85echo "OK"
     86
     87echo -n "Loading function <func_validate_configs.sh>..."
     88source $COMMON_DIR/func_validate_configs.sh
     89[[ $? > 0 ]] && echo " function module did not load.." && exit 2
     90echo "OK"
     91echo "---------------${nl_}"
    24292
    24393
     
    430280
    431281if [[ "$PWD" != "$JHALFSDIR" ]]; then
    432   cp -v makefile-functions $JHALFSDIR/
     282  cp -v $COMMON_DIR/makefile-functions $JHALFSDIR/
    433283  if [[ -n "$FILES" ]]; then
    434     cp -v $FILES $JHALFSDIR/
     284    cp -v $PACKAGE_DIR/$FILES $JHALFSDIR/
    435285  fi
    436   sed 's,FAKEDIR,'$BOOK',' $XSL > $JHALFSDIR/${XSL}
     286  sed 's,FAKEDIR,'$BOOK',' $PACKAGE_DIR/$XSL > $JHALFSDIR/${XSL}
    437287  export XSL=$JHALFSDIR/${XSL}
    438288fi
     
    446296
    447297# Check for minumum gcc and kernel versions
    448 check_requirements  1 # 0/1  0-do not display values.
    449 echo "---------------${nl_}"
     298#check_requirements  1 # 0/1  0-do not display values.
     299check_version "2.6.2" "`uname -r`"         "KERNEL"
     300check_version "3.0"   "$BASH_VERSION"      "BASH"
     301check_version "3.0"   "`gcc -dumpversion`" "GCC"
     302echo "---------------${nl_}"
     303
    450304validate_config     1 # 0/1  0-do not display values
    451305echo "---------------${nl_}"
     306
    452307get_book
    453308echo "---------------${nl_}"
     309
    454310build_Makefile
    455311echo "---------------${nl_}"
     312
    456313#run_make
    457314
Note: See TracChangeset for help on using the changeset viewer.